package com.yanzhu.manage.domain;

import com.yanzhu.common.core.annotation.Excel;
import com.yanzhu.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.List;

/**
 * 基础试卷对象 bus_exam_info
 * 
 * @author JiangYuQi
 * @date 2024-08-25
 */
public class BusExamInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 部门主键 */
    private Long comId;

    /** 单位名称 */
    @Excel(name = "单位名称")
    private String comName;

    /** 项目主键 */
    private Long projectId;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;

    /** 试卷名称 */
    @Excel(name = "试卷名称")
    private String examTitle;

    /** 试卷类型 */
    @Excel(name = "试卷类型")
    private String examType;

    /** 工种类型 */
    @Excel(name = "工种类型")
    private String craftType;

    /** 工种岗位 */
    @Excel(name = "工种岗位")
    private String craftPost;

    /** 单选题数量 */
    @Excel(name = "单选题数量")
    private String singleNum;

    /** 单选题分数 */
    @Excel(name = "单选题分数")
    private String singleMark;

    /** 多选题数量 */
    @Excel(name = "多选题数量")
    private String multipleNum;

    /** 多选题分数 */
    @Excel(name = "多选题分数")
    private String multipleMark;

    /** 判断题数量 */
    @Excel(name = "判断题数量")
    private String estimateNum;

    /** 判断题分数 */
    @Excel(name = "判断题分数")
    private String estimateMark;

    /** 试卷分数 */
    @Excel(name = "试卷分数")
    private Long fullMark;

    /** 通过分数 */
    @Excel(name = "通过分数")
    private Long passMark;

    /** 答题次数 */
    @Excel(name = "答题次数")
    private Long useNumber;

    /** 删除标识 */
    @Excel(name = "删除标识")
    private Long isDel;

    /** 试卷问题信息 */
    private List<BusExamInfoQues> busExamInfoQuesList;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public Long getComId() {
        return comId;
    }

    public void setComId(Long comId) {
        this.comId = comId;
    }

    public String getComName() {
        return comName;
    }

    public void setComName(String comName) {
        this.comName = comName;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public void setProjectId(Long projectId)
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setExamTitle(String examTitle) 
    {
        this.examTitle = examTitle;
    }

    public String getExamTitle() 
    {
        return examTitle;
    }
    public void setExamType(String examType) 
    {
        this.examType = examType;
    }

    public String getExamType() 
    {
        return examType;
    }
    public void setCraftType(String craftType) 
    {
        this.craftType = craftType;
    }

    public String getCraftType() 
    {
        return craftType;
    }
    public void setCraftPost(String craftPost) 
    {
        this.craftPost = craftPost;
    }

    public String getCraftPost() 
    {
        return craftPost;
    }
    public void setSingleNum(String singleNum) 
    {
        this.singleNum = singleNum;
    }

    public String getSingleNum() 
    {
        return singleNum;
    }
    public void setMultipleNum(String multipleNum) 
    {
        this.multipleNum = multipleNum;
    }

    public String getMultipleNum() 
    {
        return multipleNum;
    }
    public void setEstimateNum(String estimateNum) 
    {
        this.estimateNum = estimateNum;
    }

    public String getEstimateNum() 
    {
        return estimateNum;
    }
    public void setFullMark(Long fullMark) 
    {
        this.fullMark = fullMark;
    }

    public Long getFullMark() 
    {
        return fullMark;
    }
    public void setPassMark(Long passMark) 
    {
        this.passMark = passMark;
    }

    public Long getPassMark() 
    {
        return passMark;
    }
    public void setUseNumber(Long useNumber) 
    {
        this.useNumber = useNumber;
    }

    public Long getUseNumber() 
    {
        return useNumber;
    }

    public String getSingleMark() {
        return singleMark;
    }

    public void setSingleMark(String singleMark) {
        this.singleMark = singleMark;
    }

    public String getMultipleMark() {
        return multipleMark;
    }

    public void setMultipleMark(String multipleMark) {
        this.multipleMark = multipleMark;
    }

    public String getEstimateMark() {
        return estimateMark;
    }

    public void setEstimateMark(String estimateMark) {
        this.estimateMark = estimateMark;
    }

    public void setIsDel(Long isDel)
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    public List<BusExamInfoQues> getBusExamInfoQuesList()
    {
        return busExamInfoQuesList;
    }

    public void setBusExamInfoQuesList(List<BusExamInfoQues> busExamInfoQuesList)
    {
        this.busExamInfoQuesList = busExamInfoQuesList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("comId", getComId())
            .append("projectId", getProjectId())
            .append("examTitle", getExamTitle())
            .append("examType", getExamType())
            .append("craftType", getCraftType())
            .append("craftPost", getCraftPost())
            .append("singleNum", getSingleNum())
            .append("multipleNum", getMultipleNum())
            .append("estimateNum", getEstimateNum())
            .append("fullMark", getFullMark())
            .append("passMark", getPassMark())
            .append("useNumber", getUseNumber())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("busExamInfoQuesList", getBusExamInfoQuesList())
            .toString();
    }
}
